<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Untitled Document</title>
<script>
$(document).ready(function() {
	$('#positiontb').DataTable({
		"dom": '<"toolbar">lBfrtip', //กำหนดส่วนหัวเอง
		order: [[ 0, "asc" ]], //กำหนดการจัดเรียง เริ่มต้น defale
		lengthMenu: [[10, 25, 50, 100, -1], [10, 25, 50, 100, "All"]]   //กำหนดจำนวนแสดงรายการแต่ละหน้า
	});
	$("div.toolbar").html('<b>รายการตำแหน่งงาน (Position Detail) </b>'); //กำหนดชื่อตารางด้านบน
	//กำหนดส่วน footer ให้มีช่องพิมพ์ textbox สำหรับค้นหา
		$('#positiontb tfoot th').each( function () {
			var title = $(this).text();
			if((title != 'แก้ไข') && (title !='ลบ') && (title !='ลายเซนต์') ){
				$(this).html( '<input type="text" placeholder=" '+title+'" style="width:90%;"  />' );
			}else{
				$(this).html(' ');	
			}
		} );
		
		// Apply the search ค้นหาจาก footer ------------------------
		$('#positiontb').DataTable().columns().every( function () {
			var that = this;
			//ค้นหาจาก footer	
			$( 'input', this.footer() ).on( 'keyup change', function () {
				if ( that.search() !== this.value ) {
					that
						.search( this.value )
						.draw();
				}
			} );
		} );
});
</script>
</head>

<body>
	<table id="positiontb" class="display cell-border compact row-border table table-striped table-bordered" cellspacing="0" width="100%">
          <thead>
              <tr>	
                  <th style="text-align:center;">ลำดับที่</th>
                  <th>รหัสตำแหน่ง</th>
                  <th>ชื่อตำแหน่ง</th>
                  <th style="text-align:center;">แก้ไข</th>
                  <th style="text-align:center;">ลบ</th>
              </tr>
          </thead>
          <tfoot>
          	  <tr>	
                <th style="text-align:center;">ลำดับที่</th>
                <th>รหัสตำแหน่ง</th>
                <th>ชื่อตำแหน่ง</th>
                <th style="text-align:center;">แก้ไข</th>
                <th style="text-align:center;">ลบ</th>
              </tr>
          </tfoot>
          <tbody>
          	<?
		  	include "../../Connections/connect_mysql.php";
			$sql=" select * from position_tb order by posid desc; ";
			$result = mysql_query($sql) or die(mysql_error());
			$rowint = 1;
			while($record=mysql_fetch_array($result)){
				//$emp_id = $record['emp_id'];
				//$emp_begin_name = iconv('tis-620','utf-8',$record['emp_begin_name']);
				$posid = $record['posid'];
				$poscode = $record['poscode'];
				$posname = iconv('tis-620','utf-8',$record['posname']);
				$posremark = iconv('tis-620','utf-8',$record['posremark']);
				$createby = $record['createby'];
				$createtime = $record['createtime'];
				$updateby = $record['updateby'];
				$updatetime = $record['updatetime'];
				$posstatus = iconv('tis-620','utf-8',$record['posstatus']);
		 ?>
         
          	<tr>	
                <td style="text-align:center;"><?=$rowint?></td>
                <td><?=$poscode?></td>
                <td><?=$posname?></td>
                <td style="text-align:center;"></td>
                <td style="text-align:center;"></td>
            </tr>
         <?		
				$rowint = $rowint + 1;
			}//while
		 ?>
          </tbody>
     </table>
</body>
</html>
<?
	mysql_close($c);
?>